<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Musical Score View
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="Subject-specific-Tools-and-Services_7439956.html">Subject-specific Tools and Services</a></span>
              </li>
              <li>
                <span><a href="Musicological-Tools_7439987.html">Musicological Tools</a></span>
              </li>
              <li>
                <span><a href="7439804.html">MEI Score Editor (Musical Note Editor)</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Musical Score View</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Celia Krause</span>, last modified by <span class="editor">Philipp Vanscheidt</span> on Jun 18, 2012
          </div>
          <div id="main-content" class="wiki-content group">
            <p>
              At least one perspective must be open to contain the Musical Score View. As soon as an MEI Object has been created or opened, the view will appear. In this area the musical scores that you can open from the TextGrid Repository, or create and modify with the Palette and the Outline View, will be displayed.
            </p>
            <p>
              The encoded note text is displayed in a WYSIWYM View to display the encoding properly. All changes in the document can be made in this WYSIWYG-style. The Score View is primarily meant for the two-dimensional display of the rendering, as drag &amp; drop operations are disabled. Elements in the note sheet should be modified with the assistance of the Editor’s <a href="Palette_7439859.html">Palette</a> <span style="color: rgb(255,0,0);"> </span>and the <a href="Outline-View-of-the-MEI-Score-Editor_7439872.html">Outline</a> and <a href="Properties-View-of-the-MEI-Score-Editor_7439882.html">Properties View</a><span style="color: rgb(255,0,0);"> </span><span style="color: rgb(0,0,0);">. Single elements in the Score View as notes or rests can be selected and appear in blue by left-clicking on them.<br/></span>
            </p>
            <p>
              More complex interventions in the source code of an MEI document will require the <a href="XML-Editor_7439318.html">XML Editor</a>. To open the source code of an MEI Object, please use its context menu in the <a href="Navigator_7439188.html">Navigator</a> and choose “Open with &gt; XML Editor”.
            </p>
            <p>
              <img class="confluence-embedded-image" src="attachments/7439823/9240710.png" data-image-src="attachments/7439823/9240710.png"/>
            </p>
            <p>
               
            </p>
            <div class="noprint">
              <div class="table-wrap">
                <div class="table-wrap">
                  <table class="confluenceTable">
                    <tbody>
                      <tr>
                        <th class="confluenceTh">
                          MEISE Musical Score View
                        </th>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
            <p>
              The context menu is enabled on the Score View, but direct user manipulation via drag &amp; drop is disabled. It offers the following options:
            </p>
            <ul>
              <li>Undo <img class="confluence-embedded-image" src="attachments/7439823/9240617.png" data-image-src="attachments/7439823/9240617.png"/> and Redo <img class="confluence-embedded-image" src="attachments/7439823/9240618.png" data-image-src="attachments/7439823/9240618.png"/> changes .
              </li>
              <li>If single elements are selected in the Score View, they can be deleted with <img class="confluence-embedded-image" src="attachments/7439823/9240620.gif" data-image-src="attachments/7439823/9240620.gif"/>.
              </li>
              <li>The user can duplicate preselected elements with "Clone" <img class="confluence-embedded-image" src="attachments/7439823/9240624.png" data-image-src="attachments/7439823/9240624.png"/>.
              </li>
              <li>
                <p>
                  "Run as &gt; Run Configurations…" opens a new window. There the user will be able to create new configurations for the launch and define the settings.
                </p>
              </li>
              <li>
                <p>
                  You can validate your MEI document by clicking “Validate”.
                </p>
              </li>
              <li>
                <p>
                  Use some Eclipse-specific options by selecting “Team”, “Compare With”, or “Replace With”.
                </p>
              </li>
              <li>To associate an adaptor to your document, please select “Associate an Adaptor...”. An associated adaptor can translate the given documents to the TextGrid Baseline Encoding. In the new dialog box the selected file is presented with information about title, project, contributor, and creation date. You can mark the box below to make the assignment persistent when clicking “OK”. In the lower list you can select the adaptor by clicking on it. Here you can also receive additional information. To reverse your selection, you can mark the button under this list.
              </li>
              <li>
                <p>
                  To save your changes, click <img class="confluence-embedded-image confluence-thumbnail" width="16" src="attachments/7439823/9240621.gif" data-image-src="attachments/7439823/9240621.gif"/> on the bottom of the context menu.
                </p>
              </li>
            </ul>
          </div>
          
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
